Package com.sun.speech.engine.synthesis.text

# Class TextEngineCentral

java.lang.Object
com.sun.speech.engine.synthesis.text.TextEngineCentral

public class TextEngineCentral extends Object
Supports the JSAPI 1.0 `EngineCentral` interface for a synthesizer that sends text to standard out. Place the following line into the `speech.properties` file so that a `TextSynthesizer` can be created.

     TextSynthEngineCentral=com.sun.speech.engine.synthesis.text.TextEngineCentral

## Constructor Summary

Constructors
Constructor
Description
`TextEngineCentral()`

## Method Summary

Modifier and Type
Method
Description
`EngineList`
`createEngineList(EngineModeDesc require)`
Returns a list containing a single reference to a `TextSynthesizerModeDesc` if the required features match those of the `TextSynthesizer`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextEngineCentral

public TextEngineCentral()

## Method Details

### createEngineList

public EngineList createEngineList(EngineModeDesc require)
Returns a list containing a single reference to a `TextSynthesizerModeDesc` if the required features match those of the `TextSynthesizer`.

Parameters:
  `require` - the required characteristics; `null` always matches